from typing import TypeVar


class Api:
    TYPE: str
    PROVIDER: str

    @property
    def type(self) -> str:
        return self.TYPE

    @property
    def provider(self) -> str:
        return self.PROVIDER


API = TypeVar("API", bound=Api)
